Bug 243436 - Mk/bsd.sites.mk: Rework GNU mirror list
Summary: Mk/bsd.sites.mk: Rework GNU mirror list
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Matthias Andree
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-18 20:46 UTC by daniel.engberg.lists
Modified: 2020-06-02 09:33 UTC (History)
3 users (show)

See Also:


Attachments
Patch (1.20 KB, patch)
2020-01-18 20:46 UTC, daniel.engberg.lists
no flags Details | Diff
Patch v2 (1.21 KB, patch)
2020-03-26 06:44 UTC, daniel.engberg.lists
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description daniel.engberg.lists 2020-01-18 20:46:52 UTC
Created attachment 210849 [details]
Patch

Prioritize CDN/GeoDNS/non single point mirrors and fallback if those fail
Replace dead with new ones for availability and update URLs
Use main site as last resort
Comment 1 daniel.engberg.lists 2020-03-26 06:44:50 UTC
Created attachment 212720 [details]
Patch v2

Fix a few missing ending slashes
Comment 2 commit-hook freebsd_committer 2020-06-02 09:33:47 UTC
A commit references this bug:

Author: mandree
Date: Tue Jun  2 09:33:07 UTC 2020
New revision: 537531
URL: https://svnweb.freebsd.org/changeset/ports/537531

Log:
  Update GNU and kernel.org mirror lists

  Note that from the original submission by Daniel on kernel.org,
  heanet.ie was updated to match the directory,
  rackspace and slackwere were dropped because they were outdated.

  Mirror update status was checked with libpci/pciutils-3.7.0.tar.xz
  and gnuchess-6.2.7 a few minutes ago.

  PR:		243435
  PR:		243436
  Submitted by:	Daniel Engberg

Changes:
  head/Mk/bsd.sites.mk